`timescale 1 ns / 100 ps
`define	CLOCK_PERIOD	20
`define	CLOCK_HIGH	 8
`define	CLOCK_LOW	12
//==============================================================================
module jmjsramd_top_tb;
//==============================================================================
reg		clk, wea, web;
reg	[ 3:0]	addra;
reg	[ 1:0]	addrb;
reg	[ 7:0]	dina;
reg	[31:0]	dinb;
//------------------------------------------------------------------------------
wire	[ 7:0]	douta;
wire	[31:0]	doutb;
//==============================================================================
// Top Module
//------------------------------------------------------------------------------
jmjsramd_top Utop (.clka(clk), .clkb(clk), .addra(addra), .addrb(addrb),
  .dina(dina), .dinb(dinb), .douta(douta), .doutb(doutb), .wea(wea), .web(web));
//==============================================================================
// Clock Definition
//------------------------------------------------------------------------------
initial	clk = 1;
always	begin : Clock
			clk = 1;
	# `CLOCK_HIGH	clk = 0;
	# `CLOCK_LOW	clk = 1;
end
//==============================================================================
// Stimulus
//------------------------------------------------------------------------------
initial	begin
		addra	= 0;
		dina	= 0;
		wea	= 0;
		addrb	= 0;
		dinb	= 0;
		web	= 0;
	# 103;
	# `CLOCK_PERIOD
		wea	= 1;
		addra	= 0;
		dina	= 0;
		addrb	= 1;
	# `CLOCK_PERIOD
		addra	= 4;
		dina	= 4;
		addrb	= 1;
	# `CLOCK_PERIOD
		addra	= 8;
		dina	= 8;
		addrb	= 3;
	# `CLOCK_PERIOD
		addra	= 12;
		dina	= 12;
		addrb	= 3;
	# `CLOCK_PERIOD
		wea	= 0;
		web	= 1;
		addra	= 1;
		addrb	= 0;
		dinb	= 16;
	# `CLOCK_PERIOD
		addra	= 4;
		addrb	= 1;
		dinb	= 32;
	# `CLOCK_PERIOD
		addra	= 8;
		addrb	= 2;
		dinb	= 48;
	# `CLOCK_PERIOD
		wea	= 1;
		web	= 1;
		addra	= 0;
		dina	= 1;
		addrb	= 1;
		dinb	= 4;
	# `CLOCK_PERIOD
		addra	= 0;
		dina	= 1;
		addrb	= 0;
		dinb	= 6;
	# `CLOCK_PERIOD
		wea	= 0;
		web	= 0;
		addra	= 0;
		dina	= 0;
	# 100
		$stop;
		//$finish;
end
//==============================================================================
endmodule
//==============================================================================
